// 17:08 2022-02-23
#include "CFTTTexture.h"

class CFTTBannerAds {
public:
  static void AddBanner(int);                                            // 001F76D4
  static void DisplayFullscreenAd(void);                                 // 001F7706
  static int GetAdHeight(bool, float, bool);                             // 001F7710
  static bool GetIsBannerActive(void);                                   // 001F7728
  static void HaveClosedModal(void);                                     // 001F774C
  static void HaveOpenedModal(void);                                     // 001F7744
  static void InitialiseAmazonMobileAds(void);                           // 001F76A0
  static void InitialiseFacebook(char const *);                          // 001F76A4
  static void DisplayingModal(void);                                     // 001F7748
  static void IsFullscreenDisplaying(void);                              // 001F770A
  static bool IsInitialised(void);                                       // 001F76BC
  static void LoadFullscreenAd(void);                                    // 001F7704
  static void RemoveBanner(void);                                        // 001F76EC
  static void RenderBackground(uint, int, bool, float);                  // 001F7740
  static void RenderTextureBackground(CFTTTexture *, bool, bool, bool);  // 001F7742
  static void Shutdown(void);                                            // 001F7750

  static int ms_iBannerType;  // 00348920
};